/***************************************************************************
 *   Copyright (C) 2010 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef STONE_P_H
#define STONE_P_H


// Qt
#include <QtCore/QObject>


namespace QF {


class Stone;
class StonePrivate : public QObject
{
    Q_OBJECT


public:
    StonePrivate(Stone *parent, const int &pID, const int &sID, const int &gID);
    ~StonePrivate();

    QString player;
    int pos;
    int id;

    int gameID;
    int stoneID;
    int playerID;


private:
    Stone *q;


};


}


#endif // STONE_P_H
